Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wsee.jws
Class Protocol

    java.lang.Object
      weblogic.wsee.jws.Protocol

All Implemented Interfaces:
  Serializable

public class Protocol
extends Object
implements Serializable

The Protocol class is an enumerated type that defines the set of supported invocation protocols available for Weblogic Workshop component invocation. A Protocol instance has an ID, which is guaranteed to be unique and can be safely used in switch statement against the various ID_xxx values, and a name, which corresponds to the protocol name used to enable/disable the protocol in the protocol tag. It is also safe to use object equality to compare protocol values obtained as parameters or via deserialization to the defined constants. For example: `Protocol.getProtocol(ID_HTTP_GET) == Protocol.HTTP_GET` is always guaranteed to be true.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static Protocol` | `HTTP_GET`
`static Protocol` | `HTTP_POST`
`static Protocol` | `HTTP_SOAP`
`static Protocol` | `HTTP_SOAP12`
`static Protocol` | `HTTP_XML`
`static int` | `ID_HTTP_GET` Value indicating query-style invocation using HTTP GET
`static int` | `ID_HTTP_POST` Value indicating query-style invocation using HTTP POST
`static int` | `ID_HTTP_SOAP` Value indicating SOAP invocation using HTTP (POST)
`static int` | `ID_HTTP_SOAP12` Value indicating SOAP12 invocation using HTTP (POST)
`static int` | `ID_HTTP_XML` Value indicating raw XML using HTTP (POST)
`static int` | `ID_JMS_SOAP` Value indicating SOAP invocation using JMS
`static int` | `ID_JMS_SOAP12` Value indicating SOAP invocation using JMS
`static int` | `ID_JMS_XML` Value indicating raw XML using HTTP (POST)
`static Protocol` | `JAVA`
`static Protocol` | `JMS_SOAP`
`static Protocol` | `JMS_SOAP12`
`static Protocol` | `JMS_XML`
`static int` | `SCHEME_HTTP`
`static int` | `SCHEME_JAVA`
`static int` | `SCHEME_JMS`

Method Summary
`int` | `getID()` Returns the integer identifier associated with the protocol.
`String` | `getName()` Returns the protocol name for the protocol.
`static Protocol` | `getProtocolByID(int id)` Returns the Protocol object selected by protocol id
`static Protocol` | `getProtocolByName(String name)` Returns the Protocol object selected by protocol name
`static int` | `getSchemeForProtocol(Protocol p)`
`static boolean` | `isSoap(Protocol p)`
`static boolean` | `isSoap11(Protocol p)`
`static boolean` | `isSoap12(Protocol p)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HTTP_GET

    public static final Protocol HTTP_GET

### HTTP_POST

    public static final Protocol HTTP_POST

### HTTP_SOAP

    public static final Protocol HTTP_SOAP

### HTTP_SOAP12

    public static final Protocol HTTP_SOAP12

### HTTP_XML

    public static final Protocol HTTP_XML

### ID_HTTP_GET

    public static final int ID_HTTP_GET

  Value indicating query-style invocation using HTTP GET

  See Also:
    Constant Field Values

### ID_HTTP_POST

    public static final int ID_HTTP_POST

  Value indicating query-style invocation using HTTP POST

  See Also:
    Constant Field Values

### ID_HTTP_SOAP

    public static final int ID_HTTP_SOAP

  Value indicating SOAP invocation using HTTP (POST)

  See Also:
    Constant Field Values

### ID_HTTP_SOAP12

    public static final int ID_HTTP_SOAP12

  Value indicating SOAP12 invocation using HTTP (POST)

  See Also:
    Constant Field Values

### ID_HTTP_XML

    public static final int ID_HTTP_XML

  Value indicating raw XML using HTTP (POST)

  See Also:
    Constant Field Values

### ID_JMS_SOAP

    public static final int ID_JMS_SOAP

  Value indicating SOAP invocation using JMS

  See Also:
    Constant Field Values

### ID_JMS_SOAP12

    public static final int ID_JMS_SOAP12

  Value indicating SOAP invocation using JMS

  See Also:
    Constant Field Values

### ID_JMS_XML

    public static final int ID_JMS_XML

  Value indicating raw XML using HTTP (POST)

  See Also:
    Constant Field Values

### JAVA

    public static final Protocol JAVA

### JMS_SOAP

    public static final Protocol JMS_SOAP

### JMS_SOAP12

    public static final Protocol JMS_SOAP12

### JMS_XML

    public static final Protocol JMS_XML

### SCHEME_HTTP

    public static final int SCHEME_HTTP

See Also:
  Constant Field Values

### SCHEME_JAVA

    public static final int SCHEME_JAVA

See Also:
  Constant Field Values

### SCHEME_JMS

    public static final int SCHEME_JMS

See Also:
  Constant Field Values

Method Detail

### getID

    public int getID()

  Returns the integer identifier associated with the protocol.

### getName

    public String getName()

  Returns the protocol name for the protocol. This name corresponds to the tag name associated with the protocol for the protocol tag.

### getProtocolByID

    public static Protocol getProtocolByID(int id)

  Returns the Protocol object selected by protocol id

### getProtocolByName

    public static Protocol getProtocolByName(String name)

  Returns the Protocol object selected by protocol name

### getSchemeForProtocol

    public static int getSchemeForProtocol(Protocol p)

### isSoap

    public static boolean isSoap(Protocol p)

### isSoap11

    public static boolean isSoap11(Protocol p)

### isSoap12

    public static boolean isSoap12(Protocol p)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD